#include <stdio.h>
#include <stdlib.h>
#include "ZTFinger.h"

#define byte unsigned char

int main (int argc, char * argv[]  )
{
    
	printf ( "可携带一个端口参数，例如：./sstest64 1 表示使用COM1口。默认 0 HID\n");
	printf ( "内部循环调用，按组合键Ctrl + C 可退出程序\n");
    int iPortNo = 0;
    if(argc == 2){
        iPortNo = atoi(argv[1]);
    }
    char extendPort = '9';
    int iBaudRate = 0;
    int iTimeOut = 0;
	char psFeature[512] = {0};
	char psTemplate[512] = {0};
    int iLength;
	char psErrInfo[32] = {0};
	char psVendorInfo[10] = {0};
    while(1){
        
        sleep(3);
        	printf ( "\n");
        	printf ( "获取指纹仪厂商\n");
            if(FPIGetVendorInfo( iPortNo, extendPort, iBaudRate,iTimeOut, psVendorInfo, psErrInfo  )){
        		printf("%s\n", psErrInfo);
        		continue;
            }
        	printf("%s\n", psErrInfo);
        	printf ( "指纹仪厂商:%s\n\n", psVendorInfo );
        sleep(1);
        
        	printf ( "探测手指\n");
        sleep(1);
        if(FPFingerDetect( iPortNo, extendPort, iBaudRate,iTimeOut, psErrInfo  )){
    		  printf("%s\n", psErrInfo);
        }else{
        	   printf("%s\n", psErrInfo);
    		  printf("探测到手指\n");
        }
        
        sleep(2);
        	printf ( "\n");

        	printf("请按一次指纹获取特征\n");
        	if(FPGetFeature( iPortNo, extendPort, iBaudRate,iTimeOut, psFeature, psErrInfo  ))
        	{
        		printf("%s\n", psErrInfo);
        		continue;
        	}
        	printf("%s\n", psErrInfo);
        	printf("%s\n", psFeature);
    }

}

